Bug 478681 - internal error, aborting at reloc.c line 446 in bfd_get_reloc_size
internal error, aborting at reloc.c line 446 in bfd_get_reloc_size
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 08:23 EST by Rudd-O DragonFear
Modified: 2009-12-18 02:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:28:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudd-O DragonFear 2009-01-03 08:23:14 EST
Description of problem:

While compiling kernel, at the LAST linking stage (.vmlinux.o...):

/usr/bin/ld: BFD version 2.18.50.0.9-7.fc10 20080822 internal error, aborting at
reloc.c line 446 in bfd_get_reloc_size

Sometimes happens, sometimes doesn't.  Nothing else fails (no sigsegvs, no data corruption, nothing out of the ordinary).  Memtest script available at one of the Redhat people sites runs fine, does not report any error.

make was run with -j 2

kernel 2.6.28 vanilla

Version-Release number of selected component (if applicable):

binutils-2.18.50.0.9-7.fc10.x86_64
Comment 1 Nick Clifton 2009-01-06 10:53:02 EST
Hi Rudd-O,

  I recently upgraded the binutils in rawhide to the v2.19 release.  Please could you give this release a go and let me know if the problem still exists ?

  If it does exist then please could you find some reliable way to reproduce the problem, or else run the link under gdb and find out the contents of the howto structure which is triggering the abort in reloc.c

Cheers
  Nick
Comment 2 Rudd-O DragonFear 2009-01-06 15:59:08 EST
Thanks for the worthwhile debugging info, but the bug is hardly reproduceable.  On one kernel compile, it will fail repeatedly on the link stage.  Do a make clean, rerun the compile and voila it works.  I'm still debating with myself whether it was a hardware issue (when I had dual-channel enabled I got memory errors that were picked up by memtest and fortunately neutralized by ZFS-FUSE, but ever since I disabled dual channel everything runs FINE apart from the 3D in my proprietary NVIDIA video card) or a software one.
Comment 3 Bug Zapper 2009-11-18 05:38:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:28:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.